commit:     5889c3a0988a768c587025a3798dccc18559fba7
Author:     Alfred Wingate <parona <AT> protonmail <DOT> com>
AuthorDate: Sat Aug 16 09:04:30 2025 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Mon Aug 18 18:00:44 2025 +0000
URL:        https://gitweb.gentoo.org/proj/kde.git/commit/?id=5889c3a0

kde-apps/{kate,kate-addons,kwrite}: new kate-lib files

Upstream commit: c2aa4f788764d6755076d6ba950a014bc5c8b3cd
Upstream commit: 98aab64cf96ed8903b2c58d4b1c5257279c7af42

Signed-off-by: Alfred Wingate <parona <AT> protonmail.com>
Part-of: https://github.com/gentoo/kde/pull/1067
Closes: https://github.com/gentoo/kde/pull/1067
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 kde-apps/kate-addons/kate-addons-9999.ebuild | 4 ++++
 kde-apps/kate/kate-9999.ebuild               | 4 ++++
 kde-apps/kwrite/kwrite-9999.ebuild           | 4 ++++
 3 files changed, 12 insertions(+)

diff --git a/kde-apps/kate-addons/kate-addons-9999.ebuild 
b/kde-apps/kate-addons/kate-addons-9999.ebuild
index 58bb6d94ed..894be2b7bf 100644
--- a/kde-apps/kate-addons/kate-addons-9999.ebuild
+++ b/kde-apps/kate-addons/kate-addons-9999.ebuild
@@ -65,6 +65,9 @@ src_prepare() {
 
        # these tests are run in kde-apps/kate-lib
        cmake_run_in apps/lib cmake_comment_add_subdirectory autotests
+
+       # Don't build kio plugin
+       cmake_run_in apps/lib cmake_comment_add_subdirectory io
 }
 
 src_configure() {
@@ -90,6 +93,7 @@ src_install() {
 
        # provided by kde-apps/kate-lib
        rm -v "${ED}"/usr/$(get_libdir)/libkateprivate.so.* || die
+       rm -v "${ED}"/usr/bin/exec_inspect.sh || die
 }
 
 pkg_postinst() {

diff --git a/kde-apps/kate/kate-9999.ebuild b/kde-apps/kate/kate-9999.ebuild
index 57c4ec6fb0..610153f105 100644
--- a/kde-apps/kate/kate-9999.ebuild
+++ b/kde-apps/kate/kate-9999.ebuild
@@ -39,6 +39,9 @@ src_prepare() {
 
        # these tests are run in kde-apps/kate-lib
        cmake_run_in apps/lib cmake_comment_add_subdirectory autotests
+
+       # Don't build kio plugin
+       cmake_run_in apps/lib cmake_comment_add_subdirectory io
 }
 
 src_configure() {
@@ -58,4 +61,5 @@ src_install() {
 
        # provided by kde-apps/kate-lib
        rm -v "${ED}"/usr/$(get_libdir)/libkateprivate.so.* || die
+       rm -v "${ED}"/usr/bin/exec_inspect.sh || die
 }

diff --git a/kde-apps/kwrite/kwrite-9999.ebuild 
b/kde-apps/kwrite/kwrite-9999.ebuild
index 67934e75f1..c9f5eb5618 100644
--- a/kde-apps/kwrite/kwrite-9999.ebuild
+++ b/kde-apps/kwrite/kwrite-9999.ebuild
@@ -35,6 +35,9 @@ src_prepare() {
 
        # these tests are run in kde-apps/kate-lib
        cmake_run_in apps/lib cmake_comment_add_subdirectory autotests
+
+       # Don't build kio plugin
+       cmake_run_in apps/lib cmake_comment_add_subdirectory io
 }
 
 src_configure() {
@@ -54,4 +57,5 @@ src_install() {
 
        # provided by kde-apps/kate-lib
        rm -v "${ED}"/usr/$(get_libdir)/libkateprivate.so.* || die
+       rm -v "${ED}"/usr/bin/exec_inspect.sh || die
 }

Reply via email to